﻿
Imports System.Web.UI

Partial Class download
    Inherits System.Web.UI.Page

    Const ST_MAIL_COUNT As Integer = 0, ST_MAILTO As Integer = 1, ST_MAILTO_CSV_FILE As Integer = 2
    Const ST_BODY_FILE As Integer = 3, ST_ATTACH_FILE As Integer = 4, ST_SUBJECT As Integer = 5
    Const ST_MAILFROM As Integer = 6, ST_MAIL_CC As Integer = 7, ST_MAIL_BCC As Integer = 8
    Const ST_MAIL_HEADER As Integer = 9, ST_SERVER As Integer = 10, ST_PLAN_DATETIME As Integer = 11
    Const ST_START_DATETIME As Integer = 12, ST_END_DATETIME As Integer = 13, ST_SENT_COUNT As Integer = 14
    Const ST_NG_COUNT As Integer = 15, ST_LOGFILE As Integer = 16, ST_TEST_MAILTO As Integer = 17
    Const ST_EXCEL_SHEETNAME As Integer = 18, ST_COL_POS As Integer = 19, ST_MESSAGE_ID As Integer = 20
    Const ST_BCC_TO_HEADER As Integer = 21, ST_RSV1 As Integer = 22, ST_RSV2 As Integer = 23, ST_RSV3 As Integer = 24
    Const ST_END As Integer = 25
    Const MAX_BCC As Integer = 4000, STATUS_FILE As String = "\status.txt"

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            Dim ftype As String = Request.QueryString("ftype")
            Dim envelop As String = Request.QueryString("envelop")
            Dim envelop_base As String = System.Configuration.ConfigurationManager.AppSettings("envelop_base")
            Dim statusfile As String = envelop_base & "\" & envelop & STATUS_FILE
            Dim status() As String = {""}
            If ftype <> "eml" Then status = read_status(statusfile)
            Dim filename As String = envelop_base & "\" & envelop & "\"
            Dim eml As String = ""
            Select Case ftype
                Case "eml"  ' メールファイル ---- showmail.aspxから呼出し
                    filename = filename & "mailbox\" & Request.QueryString("name")
                    eml = ".eml"
                Case "mailto"
                    filename = filename & status(ST_MAILTO_CSV_FILE)
                Case "body"
                    filename = filename & status(ST_BODY_FILE)
                Case "attach"
                    filename = filename & status(ST_ATTACH_FILE)
                Case "log"
                    filename = filename & status(ST_LOGFILE)
            End Select
            Dim fi As System.IO.FileInfo = New System.IO.FileInfo(filename)
            Response.ContentType = "application/octet-stream"
            Response.AddHeader("Content-Disposition", "attachment; filename=" + System.IO.Path.GetFileName(filename) & eml)
            Response.AddHeader("Content-Length", fi.Length)
            Response.Flush()
            Response.WriteFile(filename)
            Response.End()
        End If
    End Sub
    ' 封筒情報読込み
    Protected Function read_status(ByVal statusfile As String) As String()
        Dim sr As System.IO.StreamReader = New System.IO.StreamReader(statusfile, System.Text.Encoding.Default)
        Dim strBuffer As String
        strBuffer = sr.ReadToEnd()
        sr.Close()
        strBuffer = strBuffer.Replace(Environment.NewLine, vbCr)
        Return strBuffer.Split(vbCr)
    End Function
End Class
