﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="envelopmain.aspx.vb" Inherits="envelopmain" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        <asp:DropDownList ID="DropDownListAction" runat="server">
            <asp:ListItem Value="none">アクション選択</asp:ListItem>
            <asp:ListItem Value="delete">削除</asp:ListItem>
        </asp:DropDownList>
        <asp:Button ID="ButtonAction" runat="server" Text="実行" />
    
        <asp:DropDownList ID="DropDownListPageSize" runat="server" AutoPostBack="True">
            <asp:ListItem>20</asp:ListItem>
            <asp:ListItem>40</asp:ListItem>
            <asp:ListItem>60</asp:ListItem>
            <asp:ListItem>100</asp:ListItem>
        </asp:DropDownList>
        <asp:Label ID="Label1" runat="server" Text="表示："></asp:Label>
    
        <asp:DropDownList ID="DropDownListStatus" runat="server" AutoPostBack="True">
            <asp:ListItem>すべて</asp:ListItem>
            <asp:ListItem>設定中</asp:ListItem>
            <asp:ListItem>スタンバイ</asp:ListItem>
            <asp:ListItem>送信中</asp:ListItem>
            <asp:ListItem>送信済み</asp:ListItem>
        </asp:DropDownList>
    
    
        <asp:Button ID="addnew" runat="server" Text="新規追加" />
        <asp:TextBox ID="TextBoxEnvelop" runat="server"></asp:TextBox>
        <asp:Label ID="msg" runat="server" Text="" ForeColor="Red"></asp:Label>
    
    
    </div>
        <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AutoGenerateColumns="False" BackColor="White" BorderColor="#E7E7FF" BorderStyle="None" BorderWidth="1px" CellPadding="3" DataSourceID="ods" GridLines="Horizontal" AllowSorting="True">
            <AlternatingRowStyle BackColor="#F7F7F7" />
            <Columns>
                <asp:TemplateField>
                    <HeaderTemplate>
                        <asp:CheckBox ID="SelectAll" Autopostback="true" runat="server" OnCheckedChanged="AllCheckedChanged" />
                    </HeaderTemplate>
                    <ItemTemplate>
                        <asp:CheckBox ID="SelectCheckBox" runat="server" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="封筒名" SortExpression="Name">
                    <ItemTemplate>
                    <asp:Label ID="lblname" runat="server" Text='<%# Eval("Name") %>' />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="ステータス" SortExpression="Status">
                    <ItemTemplate>
                    <asp:Label ID="lblstatus" runat="server" Text='<%# Eval("Status")%>'/>
                    <asp:Button ID="buttoncancel" runat="server" Text="キャンセル" visible="false"
                     CommandName="cancel" CommandArgument='<%# Eval("Name") %>'/>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="MailCount" HeaderText="配布数" SortExpression="MailCount">
                    <ItemStyle HorizontalAlign="center"></ItemStyle></asp:BoundField>
                <asp:BoundField DataField="PlanDate" HeaderText="送信予定" SortExpression="PlanDate" />
                <asp:BoundField DataField="SentDate" HeaderText="送信完了" SortExpression="SentDate" />

                <asp:TemplateField HeaderText="リプライ数"  SortExpression="ReplyCount">
                <ItemTemplate>
                <asp:HyperLink ID="hyperLinkshowmail" runat="server" Text='<%# Eval("ReplyCount")%>' target="_blank"></asp:HyperLink>
                </ItemTemplate><ItemStyle HorizontalAlign="center"></ItemStyle>
                </asp:TemplateField>
                <asp:BoundField DataField="LastModified" HeaderText="更新日" SortExpression="LastModified" />
                <asp:TemplateField HeaderText="設定" SortExpression="">
                <ItemTemplate>
                <asp:HyperLink ID="hyperLinkedit" runat="server" Text="編集" target="_blank"></asp:HyperLink>
                </ItemTemplate><ItemStyle HorizontalAlign="center"></ItemStyle>
                </asp:TemplateField>
            </Columns>
            <FooterStyle BackColor="#B5C7DE" ForeColor="#4A3C8C" />
            <HeaderStyle BackColor="#4A3C8C" Font-Bold="True" ForeColor="#F7F7F7" />
            <PagerSettings Position="TopAndBottom" />
            <PagerStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" HorizontalAlign="Right" />
            <RowStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" />
            <SelectedRowStyle BackColor="#738A9C" Font-Bold="True" ForeColor="#F7F7F7" />
        </asp:GridView>
        <asp:ObjectDataSource ID="ods" runat="server" DeleteMethod="Delete" SelectMethod="GetEnvelop" TypeName="Envelop" InsertMethod="Insert">
            <DeleteParameters>
                <asp:Parameter Name="name" Type="String" />
            </DeleteParameters>
            <InsertParameters>
                <asp:Parameter Name="name" Type="String" />
            </InsertParameters>
            <SelectParameters>
                <asp:Parameter Name="name" Type="String" />
                <asp:Parameter Name="statusname" Type="String" DefaultValue="" />
                <asp:Parameter Name="SortExpression" Type="String" DefaultValue=""/>
                <asp:Parameter Name="SortDirection" Type="String"/>
            </SelectParameters>
        </asp:ObjectDataSource>
    </form>
</body>
</html>
