﻿
Imports System.Web.UI


Partial Class fileupload
    Inherits System.Web.UI.Page

    Const ST_MAIL_COUNT As Integer = 0, ST_MAILTO As Integer = 1, ST_MAILTO_CSV_FILE As Integer = 2
    Const ST_BODY_FILE As Integer = 3, ST_ATTACH_FILE As Integer = 4, ST_SUBJECT As Integer = 5
    Const ST_MAILFROM As Integer = 6, ST_MAIL_CC As Integer = 7, ST_MAIL_BCC As Integer = 8
    Const ST_MAIL_HEADER As Integer = 9, ST_SERVER As Integer = 10, ST_PLAN_DATETIME As Integer = 11
    Const ST_START_DATETIME As Integer = 12, ST_END_DATETIME As Integer = 13, ST_SENT_COUNT As Integer = 14
    Const ST_NG_COUNT As Integer = 15, ST_LOGFILE As Integer = 16, ST_TEST_MAILTO As Integer = 17
    Const ST_EXCEL_SHEETNAME As Integer = 18, ST_COL_POS As Integer = 19, ST_MESSAGE_ID As Integer = 20
    Const ST_BCC_TO_HEADER As Integer = 21, ST_RSV1 As Integer = 22, ST_RSV2 As Integer = 23, ST_RSV3 As Integer = 24
    Const ST_END As Integer = 25
    Const MAX_BCC As Integer = 4000, STATUS_FILE As String = "\status.txt"

    Dim envelop_base As String
    Dim envelop_name As String
    Dim ftypeval As String
    Dim fullname As String

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load



        If Not Page.IsPostBack Then
            ViewState("ftype") = Request.QueryString("ftype")
            ViewState("envelop") = Request.QueryString("envelop")
            Exit Sub
        End If
        Dim posted As HttpPostedFile = Request.Files("file001")
        If Not posted.FileName = "" Then
            envelop_name = ViewState("envelop")
            envelop_base = System.Configuration.ConfigurationManager.AppSettings("envelop_base")
            ftypeval = ViewState("ftype")
            If ftypeval = "body" Then
                If InStr(posted.FileName, ".xls") > 0 Or InStr(posted.FileName, ".jpg") _
                    Or InStr(posted.FileName, ".doc") Or InStr(posted.FileName, ".ppt") Then
                    msgline.Text = "本文は、Excel/Wordファイルは指定できません"
                    Exit Sub
                End If
            End If
            Dim filepath As String = envelop_base & "\" & envelop_name & "\"
            fullname = filepath & System.IO.Path.GetFileName(posted.FileName)
            posted.SaveAs(fullname)
            show_contents()
        End If
    End Sub

    ' 封筒情報読込み
    Protected Function read_status(ByVal statusfile As String) As String()
        Dim sr As System.IO.StreamReader
        sr = New System.IO.StreamReader(statusfile, System.Text.Encoding.Default)
        Dim strBuffer As String
        strBuffer = sr.ReadToEnd()
        sr.Close()
        strBuffer = strBuffer.Replace(Environment.NewLine, vbCr)
        Return strBuffer.Split(vbCr)
    End Function

    Protected Sub show_contents()

        Dim statusfile As String = envelop_base & "\" & envelop_name & STATUS_FILE
        Dim colpos() As String, IsExcel As Boolean
        Dim sheetname As String, sqlstr As String
        Dim objADO As Object, Driver As String
        Dim objRS As Object, msg As String
        Dim IsError2 As Boolean
        Dim status() As String = read_status(statusfile)
        Dim objTextStream As System.IO.StreamReader
        Dim lines As New StringBuilder
        Dim lines2 As New StringBuilder
        msg = ""
        IsError2 = False
        If ftypeval = "mailto" Then
            If status(ST_COL_POS) = "" Then status(ST_COL_POS) = "1,2,3"
            colpos = status(ST_COL_POS).Split(",")
            IsExcel = False
            If InStr(fullname, ".xls") > 0 Then
                IsExcel = True
                If status(ST_EXCEL_SHEETNAME) = "" Then status(ST_EXCEL_SHEETNAME) = "Sheet1"
                sheetname = status(ST_EXCEL_SHEETNAME)
                objADO = Server.CreateObject("ADODB.Connection") ' aspcompat="true" が必要
                Driver = System.Configuration.ConfigurationManager.AppSettings("excel_driver")
                Driver = Replace(Driver, "%s", fullname)
                Try
                    objADO.Open(Driver)
                Catch ex As Exception
                    msg = ex.Message
                    Try
                        Driver = System.Configuration.ConfigurationManager.AppSettings("excel_driver32")
                        Driver = Replace(Driver, "%s", fullname)
                        objADO.Open(Driver)
                        msg = ""
                    Catch ex2 As Exception
                        msg = ex2.Message
                    End Try
                End Try
                If Len(msg) = 0 Then
                    sqlstr = "select * from [" & sheetname & "$]"
                    Try
                        objRS = objADO.Execute(sqlstr)
                    Catch ex3 As Exception
                        msg = ex3.Message
                    End Try
                End If
            Else
                Try
                    objTextStream = New System.IO.StreamReader(fullname, System.Text.Encoding.Default)
                Catch ex As Exception
                    msg = ex.Message
                End Try
            End If
            If Len(msg) > 0 Then
                msgline.Text = msg
                Exit Sub
            End If
            Dim errcnt As Integer = 0
            Dim r As New System.Text.RegularExpressions.Regex( _
                "\b[A-Z0-9._%+-]+@[A-Z0-9.-]+\.[A-Z]{2,4}\b", _
                System.Text.RegularExpressions.RegexOptions.IgnoreCase)

            status(ST_MAILTO_CSV_FILE) = System.IO.Path.GetFileName(fullname)
            Dim csv As String = ""
            Dim line As String
            Dim i As Integer = 0
            Dim wk() As String
            If IsExcel Then
                csv = vbTab
            Else
                line = objTextStream.ReadLine ' ヘッダ
                If InStr(line, vbTab) > 0 Then
                    csv = vbTab
                Else
                    csv = ","
                End If
            End If
            Dim mailto As String
            Do While Not IsError2
                If IsExcel Then
                    If objRS.Eof = True Then Exit Do
                    line = objRS.Fields(colpos(0) - 1).value & vbTab & _
                           objRS.Fields(colpos(1) - 1).value & vbTab & _
                           objRS.Fields(colpos(2) - 1).value
                    objRS.MoveNext()
                Else
                    If objTextStream.EndOfStream = True Then Exit Do
                    line = objTextStream.ReadLine
                    wk = Split(line, csv)
                    If UBound(wk) >= colpos(2) - 1 Then
                        Dim company_name As String = wk(colpos(0) - 1)
                        Dim person_name As String = wk(colpos(1) - 1)
                        mailto = wk(colpos(2) - 1)
                        line = company_name & csv & person_name & csv & mailto
                    End If
                End If
                i = i + 1
                wk = Split(line, csv)
                If UBound(wk) > 1 Then
                    mailto = wk(2)
                    Dim m As System.Text.RegularExpressions.Match = r.Match(mailto)
                    If m.Success Then  ' メールアドレス形式チェック
                        lines.AppendLine(i & vbTab & line)
                    Else
                        lines.AppendLine(i & vbTab & "#span#" & line & "#/span#")
                        errcnt = errcnt + 1
                    End If
                Else
                    lines.AppendLine(i & vbTab & "#span#" & line & "#/span")
                    errcnt = errcnt + 1
                End If
            Loop
            status(ST_MAIL_COUNT) = i
            lines2.AppendLine(i & "件読込み")
            lines2.AppendLine(lines.ToString)
            lines = lines2
            If errcnt > 0 Then msg = errcnt & "件のエラーがあります"
            If IsExcel Then
                objRS.Close()
                objADO.Close()
                objADO = Nothing
            Else
                objTextStream.Close()
                objTextStream = Nothing
            End If
        ElseIf ftypeval = "body" Then
            Try
                objTextStream = New System.IO.StreamReader(fullname, System.Text.Encoding.Default)
            Catch ex As Exception
                msg = ex.Message
            End Try
            status(ST_BODY_FILE) = System.IO.Path.GetFileName(fullname)
            lines.Append(objTextStream.ReadToEnd())
            objTextStream.Close()
            objTextStream = Nothing
        Else
            status(ST_ATTACH_FILE) = System.IO.Path.GetFileName(fullname)
            lines.Append("添付ファイル")
        End If

        Try
            Dim sw As New System.IO.StreamWriter(statusfile, False, System.Text.Encoding.GetEncoding("Shift_Jis"))
            Dim sx As String = Join(status, Environment.NewLine)
            sw.Write(sx)
            sw.Close()
        Catch
            msg = "ファイルの書き込みに失敗 " & statusfile
        End Try

        msgline.Text = msg
        Dim output As String = Server.HtmlEncode(lines.ToString)
        output = Replace(output, "#span#", "<span style='color:#ff0000;'>")
        output = Replace(output, "#/span#", "</span>")
        Dim lines3 As StringBuilder = New StringBuilder
        lines3.Append("<PRE style='border: 1px solid gray;background-color: #FDF8F0;white-space: pre;width: 100%;'>")
        lines3.Append(output)
        lines3.Append("</PRE>")

        filename.Text = System.IO.Path.GetFileName(fullname)
        Dim fi As System.IO.FileInfo = New System.IO.FileInfo(fullname)
        filesize.Text = fi.Length
        detail.Text = lines3.ToString
    End Sub

End Class
