﻿
Imports System.Web.UI

Partial Class showmail
    Inherits System.Web.UI.Page


    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            Dim envelop As String = Request.QueryString("envelop")
            Dim envelop_base As String = System.Configuration.ConfigurationManager.AppSettings("envelop_base")
            Dim mailbox_path As String = envelop_base & "\" & envelop & "\mailbox"
            ViewState("envelop") = envelop
            ViewState("mailbox_path") = mailbox_path
            ods.SelectParameters("name").DefaultValue = mailbox_path

            If Not Session("mailpagesize") Is Nothing Then
                GridView1.PageSize = Session("mailpagesize")
                DropDownListPageSize.SelectedValue = Session("mailpagesize")
            Else
                GridView1.PageSize = DropDownListPageSize.SelectedValue
                Session("mailpagesize") = GridView1.PageSize
            End If
            GridView1.DataBind()
            mailcount.Text = Session("totalcount")
        End If
    End Sub

    Protected Sub GridView1_RowDataBound(sender As Object, e As GridViewRowEventArgs) Handles GridView1.RowDataBound

        If e.Row.RowType = DataControlRowType.DataRow Then
            Dim filename As Label = e.Row.FindControl("lblname")
            Dim showmailLink As HyperLink = e.Row.FindControl("hyperLinkdownload")
            showmailLink.NavigateUrl = "download.aspx?ftype=eml&name=" & filename.Text & "&envelop=" & Server.UrlEncode(ViewState("envelop"))
        End If

    End Sub


    ' ソートイベント
    Protected Sub GridView1_Sorting(sender As Object, e As GridViewSortEventArgs) Handles GridView1.Sorting
        e.Cancel = True ' 標準ソートオフ
        ods.SelectParameters("SortExpression").DefaultValue = e.SortExpression
        ods.SelectParameters("SortDirection").DefaultValue = GetSortDirection(e.SortExpression)
    End Sub


    ' ヘッダのCheckBoxで各列のCheckBoxを一斉にON/OFF
    Protected Sub AllCheckedChanged(sender As Object, e As EventArgs)
        Dim checkheader As CheckBox = TryCast(GridView1.HeaderRow.FindControl("SelectAll"), CheckBox)
        For i As Integer = 1 To GridView1.Rows.Count
            Dim checkrow As CheckBox = TryCast(GridView1.Rows(i - 1).FindControl("SelectCheckBox"), CheckBox)
            checkrow.Checked = checkheader.Checked
        Next
    End Sub
    ' ソート順　フリップフロップ
    Private Function GetSortDirection(ByVal column As String) As String
        Dim sortDirection As String = "ASC"
        Dim sortExpression As String = TryCast(ViewState("SortExpression"), String)
        If sortExpression IsNot Nothing Then
            If sortExpression = column Then
                Dim lastDirection As String = TryCast(ViewState("SortDirection"), String)
                If lastDirection IsNot Nothing _
                  AndAlso lastDirection = "ASC" Then
                    sortDirection = "DESC"
                End If
            End If
        End If
        ViewState("SortDirection") = sortDirection
        ViewState("SortExpression") = column
        Return sortDirection
    End Function

    ' ページサイズ切替
    Protected Sub DropDownListPageSize_SelectedIndexChanged(sender As Object, e As EventArgs) Handles DropDownListPageSize.SelectedIndexChanged
        GridView1.PageSize = DropDownListPageSize.SelectedValue
        Session("mailpagesize") = GridView1.PageSize
    End Sub

    ' アクションコマンド
    Protected Sub ButtonAction_Click(sender As Object, e As EventArgs) Handles ButtonAction.Click
        Dim emsg As String
        Dim delcnt As Integer = 0
        If DropDownListAction.SelectedValue <> "delete" Then Exit Sub
        For i As Integer = 1 To GridView1.Rows.Count
            Dim checkrow As CheckBox = TryCast(GridView1.Rows(i - 1).FindControl("SelectCheckBox"), CheckBox)
            Dim lblname As Label = DirectCast(GridView1.Rows(i - 1).FindControl("lblname"), Label)
            If checkrow.Checked Then ' チェック行のみ処理
                emsg = mailfile_delete(lblname.Text)
                msg.Text = emsg
                delcnt = delcnt + 1
            End If
        Next
        Session("totalcount") = Session("totalcount") - delcnt
        mailcount.Text = Session("totalcount")
        msg.Text = ""
    End Sub
    'メールファイル削除
    Protected Function mailfile_delete(ByVal filename As String) As String
        ods.DeleteParameters("name").DefaultValue = ViewState("mailbox_path") & "\" & filename
        Try
            ods.Delete()
        Catch ex As ApplicationException
            Return ex.Message
        End Try
        Return ""
    End Function

End Class
